Yapper API
Api reference
DELETE
/sessions/{sessionId}/canvas/nodes/{nodeId}

Removes one card and its wires. Shows up live on the canvas in the Yapper web app. Free. Uses the processes:write scope.

Authorization

bearerAuth processes:write
AuthorizationBearer <token>

In: header

Scope: processes:write

Path Parameters

sessionId*string
nodeId*string

A card id from GET /sessions/{sessionId}/canvas.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/sessions/string/canvas/nodes/string"
{  "removedNodeIds": [    "string"  ],  "notFoundNodeIds": [    "string"  ]}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}